# Build and test this example project

stages:
  - build
  - conda

include:
  # create the tarball
  - component: $CI_SERVER_FQDN/computing/gitlab/components/python/sdist@main
    inputs:
      stage: build
      project_dir: example/

  # create a conda package from the tarball using grayskull
  - component: $CI_SERVER_FQDN/$CI_PROJECT_PATH/grayskull@$CI_COMMIT_SHA
    inputs:
      stage: conda
      needs: [sdist]
